Interface: SsoUrlRequest
Interface: SsoUrlRequest
Defined in: auth-shared/src/dto/auth.ts:145
POST /auth/sso/url request body.
Properties
code_challenge?
optionalcode_challenge?:string
Defined in: auth-shared/src/dto/auth.ts:153
PKCE (RFC 7636). code_challenge is BASE64URL(SHA256(verifier))
when code_challenge_method is “S256” — the only method server-side
accepts. Both fields are required-together or absent-together.
code_challenge_method?
optionalcode_challenge_method?:"S256"
Defined in: auth-shared/src/dto/auth.ts:154
invite_code?
optionalinvite_code?:string
Defined in: auth-shared/src/dto/auth.ts:149
organization_id?
optionalorganization_id?:string
Defined in: auth-shared/src/dto/auth.ts:148
provider
provider:
string
Defined in: auth-shared/src/dto/auth.ts:146
redirect_url
redirect_url:
string
Defined in: auth-shared/src/dto/auth.ts:147